/*******************************************************************************/
/*                                                                             */
/*  Copyright 2004 Pascal Gloor                                                */
/*                                                                             */
/*  Licensed under the Apache License, Version 2.0 (the "License");            */
/*  you may not use this file except in compliance with the License.           */
/*  You may obtain a copy of the License at                                    */
/*                                                                             */
/*     http://www.apache.org/licenses/LICENSE-2.0                              */
/*                                                                             */
/*  Unless required by applicable law or agreed to in writing, software        */
/*  distributed under the License is distributed on an "AS IS" BASIS,          */
/*  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.   */
/*  See the License for the specific language governing permissions and        */
/*  limitations under the License.                                             */
/*                                                                             */
/*******************************************************************************/


int   main(int argc, char *argv[]);
int   p_main_loop(void);
void *p_main_peer(void *data);
void  p_main_peer_exit(void *data, int sock);
void  p_main_peer_work(char *ibuf, char *obuf, int id);
void p_main_peer_open(int id, char *obuf);
void  p_main_peer_send(int id, char *obuf);
void  p_main_peer_loop(int id);
void  p_main_syntax(char *prog);
void  p_main_sighup(int sig);
int   mydaemon(int nochdir, int noclose);
